## org.apache.lucene.facet.index
Class DrillDownStream

    java.lang.Object
      org.apache.lucene.util.AttributeSource
          org.apache.lucene.analysis.TokenStream
              org.apache.lucene.facet.index.DrillDownStream

All Implemented Interfaces:
  Closeable

Direct Known Subclasses:
  AssociationsDrillDownStream

    public class DrillDownStream

extends TokenStream

A `TokenStream` which creates category drill-down terms.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource
`AttributeSource.AttributeFactory, AttributeSource.State`

Constructor Summary
`DrillDownStream(Iterable<CategoryPath> categories, FacetIndexingParams indexingParams)`

Method Summary
`protected void` `addAdditionalAttributes(CategoryPath category, boolean isParent)`
`boolean` `incrementToken()`
`void` `reset()`

Methods inherited from class org.apache.lucene.analysis.TokenStream
`close, end`

Methods inherited from class org.apache.lucene.util.AttributeSource
`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DrillDownStream

    public DrillDownStream(Iterable<CategoryPath> categories,
                           FacetIndexingParams indexingParams)

Method Detail

### addAdditionalAttributes

    protected void addAdditionalAttributes(CategoryPath category,
                                           boolean isParent)

### incrementToken

    public final boolean incrementToken()
                                 throws IOException

  Specified by:
    `incrementToken` in class `TokenStream`
  Throws:
    `IOException`

### reset

    public void reset()
               throws IOException

  Overrides:
    `reset` in class `TokenStream`
  Throws:
    `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.